### Segment

inherits Element
A segment holds all vertical aligned staff elements. Segments are typed and contain only Elements of the same type.

#### Methods

Ms::Element elementAt(int track)
returns the element at track 'track' (null if none)

#### Properties

annotations | array[Element] | the list of annotations (read only)
next | Segment | the next segment in the whole score; null at last score segment (read-only)
nextInMeasure | Segment | the next segment in measure; null at last measure segment (read-only)
prev | Segment | the previous segment in the whole score; null at first score segment (read-only)
prevInMeasure | Segment | the previous segment in measure; null at first measure segment (read-only)
segmentType | enum | (Segment.All, .Ambitus, .BarLine, .Breath, .ChordRest, .Clef, .EndBarLine, .Invalid, .KeySig, .KeySigAnnounce, .StartRepeatBarLine, .TimeSig, .TimeSigAnnounce)
tick | int | midi tick position (read only)